/* tslint:disable:no-submodule-imports no-console */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const path = require("path");
const InteractionBuilder_1 = require("../InteractionBuilder");
exports.name = "interaction";
exports.alias = "";
exports.description = "create a interaction.json";
exports.options = [{ flags: "-p, --path <path>", description: "overwrite root path" }];
function action(cmd) {
    const interactionFileName = "interaction.json";
    const rootPath = cmd.path || process.cwd();
    const interationPath = path.join(rootPath, interactionFileName);
    const authFileName = "client_secret.json";
    const authPath = path.join(rootPath, authFileName);
    let interaction = {};
    let auth = {};
    try {
        interaction = require(interationPath);
    }
    catch (e) {
        const sampleInteraction = {
            spreadsheets: ["INTENT SPREADSHEET", "PUBLISHING SPREADSHEET"]
        };
        const sampleInteractionStr = JSON.stringify(sampleInteraction, null, 2);
        if (e.code === "MODULE_NOT_FOUND") {
            console.log(`mm... It seems you don\'t have a ${interationPath}. Let me create it for you`);
            return fs.outputFileSync(interationPath, sampleInteractionStr, { flag: "w" });
        }
    }
    try {
        // a path we KNOW is totally bogus and not a module
        auth = require(authPath);
    }
    catch (e) {
        if (e.code === "MODULE_NOT_FOUND") {
            console.log(`mm... Make sure to create ${authFileName} from Google console`);
            return;
        }
    }
    interaction.rootPath = rootPath;
    InteractionBuilder_1.buildInteraction(interaction, auth);
}
exports.action = action;
//# sourceMappingURL=interaction.js.map